%{?mingw_package_header}

Name:		mingw-ntfsprogs
Version:	2.0.0
Release:	0%{?dist}
Summary:	NTFSPROGS
License:	GPLv2+
Group:		Applications/System
Source0:	ntfsprogs-%version.tar.gz
Patch1:		ntfsprogs_compat.patch
Patch2:		ntfsprogs_gcc_struct.patch
BuildArch:	noarch

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-win-iconv
BuildRequires:	mingw32-zlib

BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-win-iconv
BuildRequires:	mingw64-zlib

%{?mingw_debug_package}

%description
MinGW compiled ntfsprogs.

# Win32
%package -n mingw32-ntfsprogs
Summary:       MinGW compiled ntfsprogs for the Win32 target.

%description -n mingw32-ntfsprogs
MinGW compiled ntfsprogs for the Win32 target.

# Win64
%package -n mingw64-ntfsprogs
Summary:       MinGW compiled ntfsprogs for the Win64 target.

%description -n mingw64-ntfsprogs
MinGW compiled ntfsprogs for the Win64 target.


%prep
%setup -q -n ntfsprogs-%{version}
%patch1 -p1
%patch1 -p2

%build
%mingw_configure --disable-crypto --disable-default-device-io-ops --disable-gnome-vfs
%mingw_make %{?_smp_mflags} libs
%install
rm -rf $RPM_BUILD_ROOT
(
cd build_win32
cd include
%mingw32_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libntfs
%mingw32_make install DESTDIR=$RPM_BUILD_ROOT
)
(
cd build_win64
cd include
%mingw64_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libntfs
%mingw64_make install DESTDIR=$RPM_BUILD_ROOT
)

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

#% clean
#rm -rf $RPM_BUILD_ROOT

%files -n mingw32-ntfsprogs
%{mingw32_libdir}/libntfs.a
%{mingw32_includedir}/ntfs/attrib.h
%{mingw32_includedir}/ntfs/attrlist.h
%{mingw32_includedir}/ntfs/bitmap.h
%{mingw32_includedir}/ntfs/bootsect.h
%{mingw32_includedir}/ntfs/collate.h
%{mingw32_includedir}/ntfs/compat.h
%{mingw32_includedir}/ntfs/compress.h
%{mingw32_includedir}/ntfs/crypto.h
%{mingw32_includedir}/ntfs/debug.h
%{mingw32_includedir}/ntfs/device.h
%{mingw32_includedir}/ntfs/device_io.h
%{mingw32_includedir}/ntfs/dir.h
%{mingw32_includedir}/ntfs/endians.h
%{mingw32_includedir}/ntfs/gnome-vfs-method.h
%{mingw32_includedir}/ntfs/gnome-vfs-module.h
%{mingw32_includedir}/ntfs/index.h
%{mingw32_includedir}/ntfs/inode.h
%{mingw32_includedir}/ntfs/layout.h
%{mingw32_includedir}/ntfs/lcnalloc.h
%{mingw32_includedir}/ntfs/list.h
%{mingw32_includedir}/ntfs/logfile.h
%{mingw32_includedir}/ntfs/logging.h
%{mingw32_includedir}/ntfs/mft.h
%{mingw32_includedir}/ntfs/mst.h
%{mingw32_includedir}/ntfs/ntfstime.h
%{mingw32_includedir}/ntfs/runlist.h
%{mingw32_includedir}/ntfs/security.h
%{mingw32_includedir}/ntfs/support.h
%{mingw32_includedir}/ntfs/types.h
%{mingw32_includedir}/ntfs/unistr.h
%{mingw32_includedir}/ntfs/version.h
%{mingw32_includedir}/ntfs/volume.h

%files -n mingw64-ntfsprogs
%{mingw64_libdir}/libntfs.a
#% {mingw64_includedir}/ntfs/*.h
%{mingw64_includedir}/ntfs/attrib.h
%{mingw64_includedir}/ntfs/attrlist.h
%{mingw64_includedir}/ntfs/bitmap.h
%{mingw64_includedir}/ntfs/bootsect.h
%{mingw64_includedir}/ntfs/collate.h
%{mingw64_includedir}/ntfs/compat.h
%{mingw64_includedir}/ntfs/compress.h
%{mingw64_includedir}/ntfs/crypto.h
%{mingw64_includedir}/ntfs/debug.h
%{mingw64_includedir}/ntfs/device.h
%{mingw64_includedir}/ntfs/device_io.h
%{mingw64_includedir}/ntfs/dir.h
%{mingw64_includedir}/ntfs/endians.h
%{mingw64_includedir}/ntfs/gnome-vfs-method.h
%{mingw64_includedir}/ntfs/gnome-vfs-module.h
%{mingw64_includedir}/ntfs/index.h
%{mingw64_includedir}/ntfs/inode.h
%{mingw64_includedir}/ntfs/layout.h
%{mingw64_includedir}/ntfs/lcnalloc.h
%{mingw64_includedir}/ntfs/list.h
%{mingw64_includedir}/ntfs/logfile.h
%{mingw64_includedir}/ntfs/logging.h
%{mingw64_includedir}/ntfs/mft.h
%{mingw64_includedir}/ntfs/mst.h
%{mingw64_includedir}/ntfs/ntfstime.h
%{mingw64_includedir}/ntfs/runlist.h
%{mingw64_includedir}/ntfs/security.h
%{mingw64_includedir}/ntfs/support.h
%{mingw64_includedir}/ntfs/types.h
%{mingw64_includedir}/ntfs/unistr.h
%{mingw64_includedir}/ntfs/version.h
%{mingw64_includedir}/ntfs/volume.h


%changelog

